## plasma-widget-redshift 0.6.1

=== CMakeLists.txt ===
project(redshift-plasmoid)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})

add_subdirectory(dataengine)
add_subdirectory(applet)
add_subdirectory(redshiftAutostartEnabler)
add_subdirectory(icons)
add_subdirectory(po)

install(FILES redshift.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== applet/CMakeLists.txt ===
set(redshiftapplet_SRCS
    redshiftapplet.cpp
    redshiftosdwidget.cpp
)

kde4_add_ui_files(redshiftapplet_SRCS redshift.ui)
kde4_add_ui_files(redshiftapplet_SRCS activities.ui)
kde4_add_kcfg_files(redshiftapplet_SRCS ../redshiftsettings.kcfgc)
kde4_add_plugin(plasma_applet_redshift ${redshiftapplet_SRCS})

target_link_libraries(plasma_applet_redshift ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_applet_redshift DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-redshift.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== dataengine/CMakeLists.txt ===
set(redshift_engine_SRCS
    redshiftengine.cpp
    redshiftservice.cpp
    redshiftjob.cpp
    redshiftcontroller.cpp
    redshiftcontainer.cpp
)

kde4_add_kcfg_files(redshift_engine_SRCS ../redshiftsettings.kcfgc)
kde4_add_plugin(plasma_engine_redshift ${redshift_engine_SRCS})

target_link_libraries(plasma_engine_redshift ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_redshift DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-redshift.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES redshift.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname plasma_applet_redshift)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES *.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== redshiftAutostartEnabler/CMakeLists.txt ===
set(redshiftautostart_SRCS
    redshiftautostart.cpp
    redshiftenabler.cpp
)

kde4_add_executable(redshiftautostart ${redshiftautostart_SRCS})

target_link_libraries(redshiftautostart ${KDE4_KDECORE_LIBS} )

install(TARGETS redshiftautostart DESTINATION ${BIN_INSTALL_DIR})
install(FILES RedshiftAutostart.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/autostart)

=== debian/changelog ===
plasma-widget-redshift (0.6.1-0ubuntu2) vivid; urgency=medium

  * Add redshift to Depends (LP: #1312896)

 -- Michał Zając <quintasan@kubuntu.org>  Wed, 29 Oct 2014 23:03:45 +0100

plasma-widget-redshift (0.6.1-0ubuntu1) trusty; urgency=low

  * Initial release (LP: #1008967).

 -- Michał Zając <quintasan@kubuntu.org>  Mon, 09 Sep 2013 16:59:43 +0200

=== debian/control ===
Source: plasma-widget-redshift
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <quintasan@kubuntu.org>
Build-Depends: debhelper (>= 9), cmake, kdelibs5-dev, pkg-kde-tools
Standards-Version: 3.9.5
Homepage: http://kde-apps.org/content/show.php/Redshift+plasmoid?content=148737

Package: plasma-widget-redshift
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, redshift
Description: Plasma widget for Redshift
 The color temperature is set according to the position of the sun. A
 different color temperature is set during night and daytime. During
 twilight and early morning, the color temperature transitions smoothly
 from night to daytime temperature to allow your eyes to slowly
 adapt.
 .
 This package provides Plasma Widget to control Redshift.

Package: plasma-widget-redshift-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-widget-redshift (= ${binary:Version})
Description: Plasma widget for Redshift - debugging symbols
 This package provides debugging symbols for plasma-widget-redshift package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kde --dbg-package=plasma-widget-redshift-dbg
